using System;
using System.Collections.Generic;
using System.Text;
using System.Data;

namespace de.WWWings
{
public  partial class Flug
 {

  /// <summary>
  /// Typischer ORM-Mapping-Code
  /// </summary>
  /// <param name="dr">Kopieren von DataRow in Objekt</param>
 public Flug(DataRow dr)
 {
  this.FlugNr = Convert.ToInt64(dr["fl_flugnr"]);
  this.AbflugOrt = dr["fl_AbflugOrt"].ToString() ?? "n/a";
  this.ZielOrt = dr["fl_ZielOrt"].ToString() ?? "n/a";
  this.Plaetze = Convert.ToInt64(dr["fl_Plaetze"].ToString() ?? "0");
  this.Nichtraucherflug = Convert.ToBoolean(dr["fl_nichtraucherflug"]);

 }



 }
}
